Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153086 - RFE: system-config-users should add samba user
Summary: RFE: system-config-users should add samba user
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-users
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-01 14:45 UTC by James Shanks
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-19 10:14:32 UTC


Attachments (Terms of Use)

Description James Shanks 2005-04-01 14:45:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:
I wish I hadn't given up programming 10 years ago.  I've taken a look at the code for system config users (as a non python coder), and it seems that it wouldn't really be a stretch for the program to add a samba users account when it adds a Linux user account.  

On the create user page a check mark box ([ ] Create Samba Account) could be used to indicate that a Samba account is desired.  After the Linux account is created, all that would have to be done is to call smbpasswd with the user name and password.

I have encountered many small networks that simply don't need the complexity of an LDAP server in order to have a single login.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start system-config-users
2. Add a new user account
3.
  

Actual Results:  Creates Standard Linux (UNIX) account.

Expected Results:  Should Create Linux and Samba account.

Additional info:

Comment 1 Suzanne Hillman 2005-04-01 19:36:46 UTC
Internal RFE bug #153136 entered; will be considered for future releases.

Comment 2 Nils Philippsen 2005-08-19 10:14:32 UTC
The problem with a single login without a central directory is that users would
subsequently change their passwords either on Linux or on Windows and that would
be it with the single login ;-). I'll defer this one dependent on the RFE bug.
Feel free to put comments here, though. If we can come up with an acceptable
method of maintaining synchronized passwords in passwd and Samba, I'll put this
in the development/Rawhide version which should bubble up into a later RHEL
version (at a later point of course).


Note You need to log in before you can comment on or make changes to this bug.